%{!?KVER: %define KVER %(uname -r)}
%define REL_KVER	%(echo %{KVER} | sed -s "s/\.el.\.x86_64//" | tr - _)

%define debug_package %{nil}

Name:		ve_peermem
Version:	1.0.4
Release:	%{REL_KVER}_MLNX_OFED_3.4.el7
Summary:	VE peer memory client kernel module

Group:		System Environment/Libraries
License:	GPLv2 or BSD
Source0:	ve_peermem-%{version}.tar.gz

BuildRequires:	gcc kernel-headers
BuildRequires:	mlnx-ofa_kernel-devel = 3.4
Requires:	mlnx-ofa_kernel = 3.4

%description
VE peer memory client kernel modules.

%prep
%setup -q

%build
make %{?_smp_mflags} KVER=%{KVER} VER=%{version}

%install
make install DESTDIR=%{buildroot} KVER=%{KVER}

%files
/lib/modules/%{KVER}/extra
/etc/udev/rules.d/*
/etc/init.d/*
/etc/dracut.conf.d/*

%post
/sbin/depmod -a
/sbin/chkconfig --add ve_peermem

%preun
/etc/init.d/ve_peermem stop
/sbin/chkconfig --del ve_peermem

%postun
/sbin/depmod -a

%changelog

